<?php
/**
 * 管理员管理
 * $Id: account_list.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author zhanghuichuan
 * @package manager.public_html
 */
// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");



// 权限检查
if (!checkAuthority("3")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["left"] = "menu.inc";
	$layout_pages["right"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
	exit;
}

$school_id = ParamUtil::getRequestString("school_id");
if(!empty($_account->school_id)){
  $school_id = $_account->school_id;
  $school_mst = SchoolMst::getById($school_id);
}

// 一览取得
$param = array();
$param["delete_flg"] = false;
if(!empty($school_id)){
  $param["school_id"] = $school_id;
}
$grade_list = GradeMst::getList($param,"id","asc");
if(empty($school_id)){
  $param = array();
  $param["delete_flg"] = false;
  $school_list = SchoolMst::getList($param);
}
// ページ
$layout_pages = array();
$layout_pages["left"] = "menu.inc";
$layout_pages["right"] = "grade_list.inc";
$layout_pages["menu_clicked"] = "1-2";
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
exit;